AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.7

AMPS::Message::Options Member List

This is the complete list of members for AMPS::Message::Options, including all inherited members.

getLength() const | AMPS::Message::Options | inline
getStr() const | AMPS::Message::Options | inline
operator std::string() | AMPS::Message::Options | inline
Options(std::string options_="") | AMPS::Message::Options | inline
setBookmarkNotFound(const char *action_) | AMPS::Message::Options | inline
setBookmarkNotFoundEpoch() | AMPS::Message::Options | inline
setBookmarkNotFoundFail() | AMPS::Message::Options | inline
setBookmarkNotFoundNow() | AMPS::Message::Options | inline
setCancel(void) | AMPS::Message::Options | inline
setConflation(const char *conflation_) | AMPS::Message::Options | inline
setConflationKey(const char *conflationKey_) | AMPS::Message::Options | inline
setFullyDurable(void) | AMPS::Message::Options | inline
setGrouping(const std::string &grouping_) | AMPS::Message::Options | inline
setGrouping(Iterator begin_, Iterator end_) | AMPS::Message::Options | inline
setLive(void) | AMPS::Message::Options | inline
setMaxBacklog(int maxBacklog_) | AMPS::Message::Options | inline
setNoEmpties(void) | AMPS::Message::Options | inline
setNone(void) | AMPS::Message::Options | inline
setNoSowKey(void) | AMPS::Message::Options | inline
setOOF(void) | AMPS::Message::Options | inline
setPause(void) | AMPS::Message::Options | inline
setProjection(const std::string &projection_) | AMPS::Message::Options | inline
setProjection(Iterator begin_, Iterator end_) | AMPS::Message::Options | inline
setRate(const char *rate_) | AMPS::Message::Options | inline
setRateMaxGap(const char *rateMaxGap_) | AMPS::Message::Options | inline
setReplace(void) | AMPS::Message::Options | inline
setResume(void) | AMPS::Message::Options | inline
setSendKeys(void) | AMPS::Message::Options | inline
setSkipN(int skipN_) | AMPS::Message::Options | inline
setTimestamp(void) | AMPS::Message::Options | inline
setTopN(int topN_) | AMPS::Message::Options | inline